swift       14/07/06 12:18:50

  Modified:             uzbl-9999.ebuild ChangeLog
  Added:                uzbl-2012.05.14-r1.ebuild
  Log:
  Fix bug #513466 (incl. #506006, #456310, #486012, #453208) thanks to Kéwan 
"tharvik" Marconnet
  
  (Portage version: 2.2.8-r1/cvs/Linux x86_64, signed Manifest commit with key 
0x2EDD52403B68AF47)

Revision  Changes    Path
1.29                 www-client/uzbl/uzbl-9999.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/uzbl/uzbl-9999.ebuild?rev=1.29&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/uzbl/uzbl-9999.ebuild?rev=1.29&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/uzbl/uzbl-9999.ebuild?r1=1.28&r2=1.29

Index: uzbl-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/www-client/uzbl/uzbl-9999.ebuild,v
retrieving revision 1.28
retrieving revision 1.29
diff -u -r1.28 -r1.29
--- uzbl-9999.ebuild    2 Jun 2014 13:43:20 -0000       1.28
+++ uzbl-9999.ebuild    6 Jul 2014 12:18:50 -0000       1.29
@@ -1,35 +1,37 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/uzbl/uzbl-9999.ebuild,v 1.28 
2014/06/02 13:43:20 tomwij Exp $
+# $Header: /var/cvsroot/gentoo-x86/www-client/uzbl/uzbl-9999.ebuild,v 1.29 
2014/07/06 12:18:50 swift Exp $
 
-EAPI="4"
+EAPI='5'
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1
 
-IUSE="gtk3"
 if [[ ${PV} == *9999* ]]; then
        inherit git-2
-       EGIT_REPO_URI=${EGIT_REPO_URI:-"git://github.com/Dieterbe/uzbl.git"}
-       KEYWORDS=""
-       SRC_URI=""
-       IUSE+=" experimental"
+       EGIT_REPO_URI=${EGIT_REPO_URI:-'git://github.com/Dieterbe/uzbl.git'}
+       KEYWORDS=''
+       SRC_URI=''
+       IUSE='experimental'
        use experimental &&
-               EGIT_BRANCH="experimental" &&
-               EGIT_COMMIT="experimental"
+               EGIT_BRANCH='next'
 else
        inherit vcs-snapshot
-       KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+       KEYWORDS='~amd64 ~x86 ~amd64-linux ~x86-linux'
        SRC_URI="http://github.com/Dieterbe/${PN}/tarball/${PV} -> ${P}.tar.gz"
 fi
 
-DESCRIPTION="Web interface tools which adhere to the unix philosophy"
-HOMEPAGE="http://www.uzbl.org";
+DESCRIPTION='Web interface tools which adhere to the unix philosophy.'
+HOMEPAGE='http://www.uzbl.org'
 
-LICENSE="LGPL-2.1 MPL-1.1"
-SLOT="0"
-IUSE+=" +browser helpers +tabbed vim-syntax"
+LICENSE='LGPL-2.1 MPL-1.1'
+SLOT='0'
+IUSE+=' gtk3 +browser helpers +tabbed vim-syntax'
 
-REQUIRED_USE="tabbed? ( browser )"
+REQUIRED_USE='tabbed? ( browser )'
 
-COMMON_DEPEND="
+COMMON_DEPEND='
        dev-libs/glib:2
        >=dev-libs/icu-4.0.1
        >=net-libs/libsoup-2.24:2.4
@@ -41,8 +43,7 @@
                net-libs/webkit-gtk:3
                x11-libs/gtk+:3
        )
-
-"
+'
 
 DEPEND="
        virtual/pkgconfig
@@ -71,47 +72,71 @@
 "
 # TODO document what requires the above helpers
 
+PREFIX="${EPREFIX}/usr"
+
 pkg_setup() {
+       python-single-r1_pkg_setup
        if ! use helpers; then
                elog "uzbl's extra scripts use various optional applications:"
                elog
-               elog "   dev-python/pygtk"
-               elog "   dev-python/pygobject:2"
-               elog "   gnome-extra/zenity"
-               elog "   net-misc/socat"
-               elog "   x11-libs/pango"
-               elog "   x11-misc/dmenu"
-               elog "   x11-misc/xclip"
+               elog '   dev-python/pygtk'
+               elog '   dev-python/pygobject:2'
+               elog '   gnome-extra/zenity'
+               elog '   net-misc/socat'
+               elog '   x11-libs/pango'
+               elog '   x11-misc/dmenu'
+               elog '   x11-misc/xclip'
                elog
-               elog "Make sure you emerge the ones you need manually."
-               elog "You may also activate the *helpers* USE flag to"
-               elog "install all of them automatically."
+               elog 'Make sure you emerge the ones you need manually.'
+               elog 'You may also activate the *helpers* USE flag to'
+               elog 'install all of them automatically.'
        else
-               einfo "You have enabled the *helpers* USE flag that installs"
+               einfo 'You have enabled the *helpers* USE flag that installs'
                einfo "various optional applications used by uzbl's extra 
scripts."
        fi
 }
 
 src_prepare() {
        # remove -ggdb
-       sed -i "s/-ggdb //g" Makefile ||
-               die "-ggdb removal sed failed"
+       sed -i 's/-ggdb //g' Makefile ||
+               die '-ggdb removal sed failed'
 
        # make gtk3 configurable
-       sed -r "s:^(USE_GTK3) = (.*):\1?=\2:" -i Makefile ||
-               die "Makefile sed for gtk3 failed"
+       sed -r 's:^(USE_GTK3) = (.*):\1?=\2:' -i Makefile ||
+               die 'Makefile sed for gtk3 failed'
+
+       # specify python version
+       python_fix_shebang bin/uzbl-tabbed ||
+               die 'Fix shebang failed'
+
+       # fix sandbox
+       if [ ${PV} == 9999 ] && ! use experimental
+       then
+               sed -i 's/prefix=$(PREFIX)/prefix=$(DESTDIR)\/$(PREFIX)/' 
Makefile ||
+                       die 'Makefile sed for sandbox failed'
+       fi
+
+       # fix QA of uzbl.desktop
+       if [ ${PV} == 9999 ] && use experimental
+       then
+               sed -i 's/Categories=Application;Network;/Categories=Network;/' 
\
+                       uzbl.desktop.in || die 'QA compliance of 
uzbl.desktop.in failed'
+       fi
 }
 
 src_compile() {
-       emake USE_GTK3=$(use gtk3 && echo 1 || echo 0)
+       [[ ${PV} == 9999 ]] && gtk_var='ENABLE_GTK3' || gtk_var='USE_GTK3'
+       emake PREFIX="${PREFIX}" ${gtk_var}=$(use gtk3 && echo 1 || echo 0)
 }
 
 src_install() {
-       local targets="install-uzbl-core"
+       local targets='install-uzbl-core'
        use browser && targets="${targets} install-uzbl-browser"
        use browser && use tabbed && targets="${targets} install-uzbl-tabbed"
 
-       emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" 
DOCDIR="${ED}/usr/share/doc/${PF}" ${targets}
+       # -j1 : upstream bug #351
+       emake -j1 DESTDIR="${D}" PREFIX="${PREFIX}"     \
+               DOCDIR="${ED}/usr/share/doc/${PF}" ${targets}
 
        if use vim-syntax; then
                insinto /usr/share/vim/vimfiles/ftdetect
@@ -120,5 +145,4 @@
                insinto /usr/share/vim/vimfiles/syntax
                doins "${S}"/extras/vim/syntax/uzbl.vim
        fi
-
 }



1.58                 www-client/uzbl/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/uzbl/ChangeLog?rev=1.58&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/uzbl/ChangeLog?rev=1.58&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/uzbl/ChangeLog?r1=1.57&r2=1.58

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/www-client/uzbl/ChangeLog,v
retrieving revision 1.57
retrieving revision 1.58
diff -u -r1.57 -r1.58
--- ChangeLog   2 Jun 2014 13:43:20 -0000       1.57
+++ ChangeLog   6 Jul 2014 12:18:50 -0000       1.58
@@ -1,6 +1,13 @@
 # ChangeLog for www-client/uzbl
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/uzbl/ChangeLog,v 1.57 2014/06/02 
13:43:20 tomwij Exp $
+# $Header: /var/cvsroot/gentoo-x86/www-client/uzbl/ChangeLog,v 1.58 2014/07/06 
12:18:50 swift Exp $
+
+*uzbl-2012.05.14-r1 (06 Jul 2014)
+
+  06 Jul 2014; Sven Vermeulen <[email protected]> +uzbl-2012.05.14-r1.ebuild,
+  uzbl-9999.ebuild:
+  Fix bug #513466 (incl. #506006, #456310, #486012, #453208) thanks to Kéwan
+  "tharvik" Marconnet
 
   02 Jun 2014; Tom Wijsman <[email protected]> uzbl-2012.05.14.ebuild,
   uzbl-9999.ebuild:



1.1                  www-client/uzbl/uzbl-2012.05.14-r1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/uzbl/uzbl-2012.05.14-r1.ebuild?rev=1.1&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/uzbl/uzbl-2012.05.14-r1.ebuild?rev=1.1&content-type=text/plain

Index: uzbl-2012.05.14-r1.ebuild
===================================================================
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-client/uzbl/uzbl-2012.05.14-r1.ebuild,v 
1.1 2014/07/06 12:18:50 swift Exp $

EAPI='5'

PYTHON_COMPAT=( python2_7 )

inherit python-single-r1

if [[ ${PV} == *9999* ]]; then
        inherit git-2
        EGIT_REPO_URI=${EGIT_REPO_URI:-'git://github.com/Dieterbe/uzbl.git'}
        KEYWORDS=''
        SRC_URI=''
        IUSE='experimental'
        use experimental &&
                EGIT_BRANCH='next'
else
        inherit vcs-snapshot
        KEYWORDS='~amd64 ~x86 ~amd64-linux ~x86-linux'
        SRC_URI="http://github.com/Dieterbe/${PN}/tarball/${PV} -> ${P}.tar.gz"
fi

DESCRIPTION='Web interface tools which adhere to the unix philosophy.'
HOMEPAGE='http://www.uzbl.org'

LICENSE='LGPL-2.1 MPL-1.1'
SLOT='0'
IUSE+=' gtk3 +browser helpers +tabbed vim-syntax'

REQUIRED_USE='tabbed? ( browser )'

COMMON_DEPEND='
        dev-libs/glib:2
        >=dev-libs/icu-4.0.1
        >=net-libs/libsoup-2.24:2.4
        !gtk3? (
                >=net-libs/webkit-gtk-1.1.15:2
                >=x11-libs/gtk+-2.14:2
        )
        gtk3? (
                net-libs/webkit-gtk:3
                x11-libs/gtk+:3
        )
'

DEPEND="
        virtual/pkgconfig
        ${COMMON_DEPEND}
"

RDEPEND="
        ${COMMON_DEPEND}
        x11-misc/xdg-utils
        browser? (
                x11-misc/xclip
        )
        helpers? (
                dev-python/pygtk
                dev-python/pygobject:2
                gnome-extra/zenity
                net-misc/socat
                x11-libs/pango
                x11-misc/dmenu
                x11-misc/xclip
        )
        tabbed? (
                dev-python/pygtk
        )
        vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )
"
# TODO document what requires the above helpers

PREFIX="${EPREFIX}/usr"

pkg_setup() {
        python-single-r1_pkg_setup
        if ! use helpers; then
                elog "uzbl's extra scripts use various optional applications:"
                elog
                elog '   dev-python/pygtk'
                elog '   dev-python/pygobject:2'
                elog '   gnome-extra/zenity'
                elog '   net-misc/socat'
                elog '   x11-libs/pango'
                elog '   x11-misc/dmenu'
                elog '   x11-misc/xclip'
                elog
                elog 'Make sure you emerge the ones you need manually.'
                elog 'You may also activate the *helpers* USE flag to'
                elog 'install all of them automatically.'
        else
                einfo 'You have enabled the *helpers* USE flag that installs'
                einfo "various optional applications used by uzbl's extra 
scripts."
        fi
}

src_prepare() {
        # remove -ggdb
        sed -i 's/-ggdb //g' Makefile ||
                die '-ggdb removal sed failed'

        # make gtk3 configurable
        sed -r 's:^(USE_GTK3) = (.*):\1?=\2:' -i Makefile ||
                die 'Makefile sed for gtk3 failed'

        # specify python version
        python_fix_shebang bin/uzbl-tabbed ||
                die 'Fix shebang failed'

        # fix sandbox
        if [ ${PV} == 9999 ] && ! use experimental
        then
                sed -i 's/prefix=$(PREFIX)/prefix=$(DESTDIR)\/$(PREFIX)/' 
Makefile ||
                        die 'Makefile sed for sandbox failed'
        fi

        # fix QA of uzbl.desktop
        if [ ${PV} == 9999 ] && use experimental
        then
                sed -i 's/Categories=Application;Network;/Categories=Network;/' 
\
                        uzbl.desktop.in || die 'QA compliance of 
uzbl.desktop.in failed'
        fi
}

src_compile() {
        [[ ${PV} == 9999 ]] && gtk_var='ENABLE_GTK3' || gtk_var='USE_GTK3'
        emake PREFIX="${PREFIX}" ${gtk_var}=$(use gtk3 && echo 1 || echo 0)
}

src_install() {
        local targets='install-uzbl-core'
        use browser && targets="${targets} install-uzbl-browser"
        use browser && use tabbed && targets="${targets} install-uzbl-tabbed"

        # -j1 : upstream bug #351
        emake -j1 DESTDIR="${D}" PREFIX="${PREFIX}"     \
                DOCDIR="${ED}/usr/share/doc/${PF}" ${targets}

        if use vim-syntax; then
                insinto /usr/share/vim/vimfiles/ftdetect
                doins "${S}"/extras/vim/ftdetect/uzbl.vim

                insinto /usr/share/vim/vimfiles/syntax
                doins "${S}"/extras/vim/syntax/uzbl.vim
        fi
}




Reply via email to